%  An RMS normalization demonstration

%  Author: Andreas Floros
%  Digital Audio Processing Applications Group
%  Dept. of Audiovisual Arts, Ionian University
%  v.1.0 - Last Modified: 21/03/2009.

clc;
clear;

% Load two different audio files
[y1, fs, N] = wavread('Orch_original.wav'); 
[y2, fs, N] = wavread('Rock_original.wav'); 

% Perform RMS normalization to -5dB
y1_normalized = Fx_RMSNormalize(y1, -5);
y2_normalized = Fx_RMSNormalize(y2, -5);

% Listen the resulted audio samples
sound(y1, fs);
pause;
sound(y2, fs);

